package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicTag;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022-03-29 17:47:57
 */
@ApiModel(value = "MusicTagVo对象", description = "音乐标签表查询视图对象")
public class MusicTagVo extends MusicTag{
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("更新人")
	private String updateName;

	@ApiModelProperty("是否展开标签（1:展开，0：不展开）")
	private YesOrNoEnum open =YesOrNoEnum.YES;

	@ApiModelProperty("二级标签")
	private List<MusicTagVo> children = new ArrayList<>();



	@ApiModelProperty("平台乐谱启用数")
	private Integer enablePlatformMusicSheetNum = 0;

	@ApiModelProperty("平台乐谱数")
	private Integer musicPlatformSheetNum= 0;


	@ApiModelProperty("老师乐谱启用数")
	private Integer enableTeacherMusicSheetNum= 0;

	@ApiModelProperty("老师乐谱数")
	private Integer musicTeacherSheetNum= 0;

	public Integer getEnablePlatformMusicSheetNum() {
		return enablePlatformMusicSheetNum;
	}

	public void setEnablePlatformMusicSheetNum(Integer enablePlatformMusicSheetNum) {
		this.enablePlatformMusicSheetNum = enablePlatformMusicSheetNum;
	}

	public Integer getMusicPlatformSheetNum() {
		return musicPlatformSheetNum;
	}

	public void setMusicPlatformSheetNum(Integer musicPlatformSheetNum) {
		this.musicPlatformSheetNum = musicPlatformSheetNum;
	}

	public Integer getEnableTeacherMusicSheetNum() {
		return enableTeacherMusicSheetNum;
	}

	public void setEnableTeacherMusicSheetNum(Integer enableTeacherMusicSheetNum) {
		this.enableTeacherMusicSheetNum = enableTeacherMusicSheetNum;
	}

	public Integer getMusicTeacherSheetNum() {
		return musicTeacherSheetNum;
	}

	public void setMusicTeacherSheetNum(Integer musicTeacherSheetNum) {
		this.musicTeacherSheetNum = musicTeacherSheetNum;
	}

	public YesOrNoEnum getOpen() {
		return open;
	}

	public void setOpen(YesOrNoEnum open) {
		this.open = open;
	}

	public List<MusicTagVo> getChildren() {
		return children;
	}

	public void setChildren(List<MusicTagVo> children) {
		this.children = children;
	}

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}
}